%global oname ua-parser
Name:          ua-parser-java
Version:       1.3.0
Release:       1%{?dist}
Summary:       Java implementation of user agent parser
License:       ASL 2.0
URL:           https://github.com/tobie/ua-parser/
Source0:       https://github.com/tobie/ua-parser/archive/java-%{version}.tar.gz

BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(org.yaml:snakeyaml)

BuildRequires: maven-local
BuildArch:     noarch

%description
This is the Java implementation of ua-parser. The
implementation uses the shared regex patterns and
overrides from regexes.yaml.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete
find . -name "*.exe" -print -delete
find . -name "*.dll" -print -delete

# Unwanted
%pom_remove_plugin :maven-source-plugin java

%build

cd java
%mvn_file :%{oname} %{oname}
%mvn_build

%install
cd java
%mvn_install

%files -f java/.mfiles
%doc java/LICENSE java/README.md

%files javadoc -f java/.mfiles-javadoc
%doc java/LICENSE

%changelog
* Fri Mar 07 2014 gil cattaneo <puntogil@libero.it> 1.3.0-1
- initial rpm
